
export function setSortMsg (name) {
  const sortMap = {
    '国内出港': ['有预配载数据，无交接复核、机下交接、装机、关闭舱门数据', '有预配，1、有核单数据、无安检节点数据，2、机下交接数据、装机、关闭舱门（其中一项）、无交接复核数据', '有预配载，交接复核时间>机下交接', '有预配载，机下交接时间=装机完成时间'],
    '国内进港': ['', '有理货数据，1、无卸机数据，2、无库区到达，3、无货站交接', '有理货数据，卸机时间>库区达到', '有理货数据，卸机时间=库区时间'],
    '国际出港': ['有实配，交接复核、机下交接、装机、关闭舱门全无', '有实配、机下交接数据，无交接复核数据', '有实配，交接复核时间>机下交接时间', '有实配，机下交接=装机完成时间'],
    '国际进港': ['', '有理货数据，1、无卸机数据、2、无货站交接', '', '有理货数据，卸机完成时间=货站交接时间']
  }
  return sortMap[name]
}

export function setMapKeys (data, id, returnData, name) {
  const catchMap = {
    k1: _.assign(data[0], { fttp: id }),
    k2: returnData
  }
  sessionStorage.setItem(name, JSON.stringify(catchMap))
}

export function getMapKeys (name) {
  const catchMap = sessionStorage.getItem(name)
  if (catchMap) {
    const newCatchMap = JSON.parse(catchMap)
    return newCatchMap
  }
  return {}
}